Skip to main content
PATCH
/
v1
/
platforms
/
me
/
environments
/
{environment_id}
Update environment
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    webhook_url: '<string>',
    webhook_secret: '<string>',
    default_timeout_seconds: 123,
    is_active: true,
    rate_limit_rpm: 123
  })
};

fetch('https://api.keystoneos.xyz/v1/platforms/me/environments/{environment_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "auth0_client_id": "<string>",
  "webhook_url": "<string>",
  "api_version": "<string>",
  "default_timeout_seconds": 123,
  "is_active": true,
  "rate_limit_rpm": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Path Parameters

environment_id
string<uuid>
required

Body

application/json
name
string | null
webhook_url
string | null
webhook_secret
string | null
default_timeout_seconds
integer | null
is_active
boolean | null
rate_limit_rpm
integer | null

Response

Successful Response

id
string<uuid>
required
platform_id
string<uuid>
required
name
string
required
slug
string
required
auth0_client_id
string
required
webhook_url
string | null
required
api_version
string | null
required
default_timeout_seconds
integer
required
is_active
boolean
required
rate_limit_rpm
integer | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required